# SafeRL-Lite

Welcome to **SafeRL-Lite**, a lightweight, explainable, and constrained reinforcement learning library built in Python.

---

## ✨ Features

- ♻️ **Constrained Agents**: Supports safe training using budgeted penalties and constraint wrappers.
- 🔍 **Explainability Tools**: Includes SHAP and saliency-based attribution methods.
- 🎮 **Custom Environments**: Easy wrappers for constraint-aware OpenAI Gym environments.
- 📊 **Evaluation Metrics**: Regret, safe episode rate, violation count.
- 🧪 **Tested and Documented**: Full unit test suite with CI + MkDocs support.

---

## 🔧 Repository Info

- **Author**: [Satyam Mishra](https://github.com/satyamcser)
- **GitHub**: [github.com/satyamcser/saferl-lite](https://github.com/satyamcser/saferl-lite)

---

## 📦 Installation

See [Usage → Installation](usage/installation.md) for details.

## 🚀 Quickstart

See [Usage → Quickstart](usage/quickstart.md) to get up and running in 60 seconds.

## 🧪 Example

- [CartPole with Constraints](examples/cartpole.md)
